#!/bin/bash
# --------------------------------------------------------- 

subCase=bulletMesh

source meshFunctions.sh

cleanMesh
[ -d 0 ] && rm -rf 0

runme rm -rf $subCase

newTempCase $subCase

newBlock blockMeshDict


(
    cd $subCase
    newBlock blockMeshDict_$subCase

    runme transformPoints -translate "(5 0 0)"

    batchFile=/tmp/setSet.$$

    echo "cellSet internal new boxToCell (-100 -100 -100) (100 100 100)" > $batchFile
    runme setSet -constant -noVTK -batch $batchFile

    runme setsToZones -noFlipMap
    rm -f $batchFile
)

runme mergeMeshes -overwrite $PWD $PWD/$subCase

runme rm -rf $subCase

runme transformPoints -scale "(0.1 0.1 0.1)"

runme createPatch -overwrite -dict system/createPatchDict_cleanup

runme topoSet -dict system/topoSetDict_baffles

runme createBaffles -overwrite

runme createPatch -overwrite -dict system/createPatchDict_cleanup

runme topoSet -dict system/topoSetDict_dynamicMesh

runme changeDictionary

runme changeDictionary

cp -r 0.org 0

runme setFields
